## OGMDvdStream

OGMDvdStream — Structure describing a stream

## Functions

void | ogmdvd_stream_ref ()
void | ogmdvd_stream_unref ()
OGMDvdTitle * | ogmdvd_stream_get_title ()
gint | ogmdvd_stream_get_id ()
gint | ogmdvd_stream_get_nr ()

## Object Hierarchy

## Includes

    #include <ogmdvd-stream.h>

## Description

## Functions

### ogmdvd_stream_ref ()

    void
    ogmdvd_stream_ref (OGMDvdStream *stream);

Increments the reference count of an OGMDvdStream.

#### Parameters

stream | An OGMDvdStream |

### ogmdvd_stream_unref ()

    void
    ogmdvd_stream_unref (OGMDvdStream *stream);

Decrements the reference count of an OGMDvdStream.

#### Parameters

stream | An OGMDvdStream |

### ogmdvd_stream_get_title ()

    OGMDvdTitle *
    ogmdvd_stream_get_title (OGMDvdStream *stream);

Returns the title the OGMDvdStream belongs to

#### Parameters

stream | An OGMDvdStream |

#### Returns

An OGMDvdTitle, or NULL

### ogmdvd_stream_get_id ()

    gint
    ogmdvd_stream_get_id (OGMDvdStream *stream);

Returns the stream identifier.

#### Parameters

stream | An OGMDvdStream |

#### Returns

The stream identifier, or -1

### ogmdvd_stream_get_nr ()

    gint
    ogmdvd_stream_get_nr (OGMDvdStream *stream);

Returns the stream number.

#### Parameters

stream | An OGMDvdStream |

#### Returns

The stream number, or -1

## Types and Values